Apache Tomcat 6.0.53

## org.apache.el.lang
Class VariableMapperFactory

    java.lang.Object
      javax.el.VariableMapper
          org.apache.el.lang.VariableMapperFactory

    public class VariableMapperFactory

extends javax.el.VariableMapper

Constructor Summary
`VariableMapperFactory(javax.el.VariableMapper target)`

Method Summary
`javax.el.VariableMapper` | `create()`
`javax.el.ValueExpression` | `resolveVariable(java.lang.String variable)`
`javax.el.ValueExpression` | `setVariable(java.lang.String variable, javax.el.ValueExpression expression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapperFactory

    public VariableMapperFactory(javax.el.VariableMapper target)

Method Detail

### create

    public javax.el.VariableMapper create()

### resolveVariable

    public javax.el.ValueExpression resolveVariable(java.lang.String variable)

  Specified by:
    `resolveVariable` in class `javax.el.VariableMapper`

### setVariable

    public javax.el.ValueExpression setVariable(java.lang.String variable,
                                                javax.el.ValueExpression expression)

  Specified by:
    `setVariable` in class `javax.el.VariableMapper`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.